<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>cn.cecep.talroad</groupId>
    <artifactId>talroad-module</artifactId>
    <version>3.4.0</version>

    <name>talroad-module 定制化业务模块</name>

    <modules>
        <module>szhpt-fixed-task</module>
    </modules>


    <packaging>pom</packaging>

    <properties>
        <zjn.version>3.4.0</zjn.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <spring-boot.version>2.6.3</spring-boot.version>
        <spring-cloud.version>2021.0.0</spring-cloud.version>
        <spring-cloud-alibaba.version>2021.1</spring-cloud-alibaba.version>
        <alibaba.nacos.version>2.0.4</alibaba.nacos.version>
        <spring-boot-admin.version>2.6.1</spring-boot-admin.version>
        <spring-boot.mybatis>2.2.0</spring-boot.mybatis>
        <swagger.fox.version>3.0.0</swagger.fox.version>
        <swagger.core.version>1.6.2</swagger.core.version>
        <tobato.version>1.27.2</tobato.version>
        <kaptcha.version>2.3.2</kaptcha.version>
        <pagehelper.boot.version>1.4.1</pagehelper.boot.version>
        <druid.version>1.2.8</druid.version>
        <dynamic-ds.version>3.5.0</dynamic-ds.version>
        <commons.io.version>2.11.0</commons.io.version>
        <commons.fileupload.version>1.4</commons.fileupload.version>
        <velocity.version>2.3</velocity.version>
        <fastjson.version>1.2.79</fastjson.version>
        <jjwt.version>0.9.1</jjwt.version>
        <minio.version>8.2.2</minio.version>
        <poi.version>4.1.2</poi.version>
        <commons-collections.version>3.2.2</commons-collections.version>
        <transmittable-thread-local.version>2.12.2</transmittable-thread-local.version>
        <mybatis-plans.version>3.4.1</mybatis-plans.version>
        <fasterxml-jackson.core>2.13.1</fasterxml-jackson.core>
        <knife4j.version>3.0.3</knife4j.version>
        <hutool.version>5.8.0.M3</hutool.version>
        <postgresql-connector-java.version>42.2.20</postgresql-connector-java.version>
    </properties>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringCloud 微服务 -->
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- SpringCloud Alibaba 微服务 -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- Alibaba Nacos 配置 -->
            <dependency>
                <groupId>com.alibaba.nacos</groupId>
                <artifactId>nacos-client</artifactId>
                <version>${alibaba.nacos.version}</version>
            </dependency>

            <!-- SpringBoot 依赖配置 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

<!--            &lt;!&ndash;  SpringBoot 监控客户端 &ndash;&gt;-->
            <!--  SpringBoot 监控客户端 -->
<!--            <dependency>-->
<!--                <groupId>de.codecentric</groupId>-->
<!--                <artifactId>spring-boot-admin-starter-client</artifactId>-->
<!--                <version>${spring-boot-admin.version}</version>-->
<!--            </dependency>-->

            <!-- FastDFS 分布式文件系统 -->
            <dependency>
                <groupId>com.github.tobato</groupId>
                <artifactId>fastdfs-client</artifactId>
                <version>${tobato.version}</version>
            </dependency>

            <!--            &lt;!&ndash; Mybatis 依赖配置 &ndash;&gt;-->
            <!--            <dependency>-->
            <!--                <groupId>org.mybatis.spring.boot</groupId>-->
            <!--                <artifactId>mybatis-spring-boot-starter</artifactId>-->
            <!--                <version>${spring-boot.mybatis}</version>-->
            <!--            </dependency>-->

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plans.version}</version>
            </dependency>

            <!-- Swagger 依赖配置 -->
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-models</artifactId>
                <version>${swagger.core.version}</version>
            </dependency>
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-annotations</artifactId>
                <version>${swagger.core.version}</version>
            </dependency>

            <!-- 验证码 -->
            <dependency>
                <groupId>com.github.penggle</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- 文件上传工具类 -->
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${commons.fileupload.version}</version>
            </dependency>

            <!-- 代码生成使用模板 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- Collection 增强Java集合框架 -->
            <dependency>
                <groupId>commons-collections</groupId>
                <artifactId>commons-collections</artifactId>
                <version>${commons-collections.version}</version>
            </dependency>

            <!-- JSON 解析器和生成器 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!-- JWT -->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>

            <!-- 线程传递值 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>${transmittable-thread-local.version}</version>
            </dependency>

            <!-- 核心模块 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-core</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 接口模块 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-swagger</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 安全模块 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-security</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 权限范围 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-datascope</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 多数据源 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-datasource</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 日志记录 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-log</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 缓存服务 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-common-redis</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <!-- 系统接口 -->
            <dependency>
                <groupId>cn.cecep.talroad</groupId>
                <artifactId>szhpt-api-system</artifactId>
                <version>${zjn.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${fasterxml-jackson.core}</version>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!-- bootstrap 启动器 -->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
        </dependency>
    </dependencies>

    <!--配置私服仓库地址-->
    <repositories>
        <repository>
            <id>cecep</id>
            <name>cecep</name>
            <url>http://10.0.200.28:8081/repository/cecep-group/</url>
        </repository>
    </repositories>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
